POSIX_SPAWNATTR_GETPGROUP(3)

NAME
posix_spawnattr_getpgroup, posix_spawnattr_getschedparam, posix_spawnattr_getschedpolicy, posix_spawnattr_getsigdefault, posix_spawnattr_getsigmask, posix_spawnattr_setpgroup, posix_spawnattr_setschedparam, posix_spawnattr_setschedpolicy, posix_spawnattr_setsigdefault, posix_spawnattr_setsigmask - get and set misc attributes of a posix_spawn attributes object

SYNOPSIS
#include <spawn.h>
int
posix_spawnattr_getpgroup(const posix_spawnattr_t *restrict attr, pid_t *restrict pgroup);
int
posix_spawnattr_getschedparam(const posix_spawnattr_t *restrict attr, struct sched_param *restrict schedparam);
int
posix_spawnattr_getschedpolicy(const posix_spawnattr_t *restrict attr, int *restrict schedpolicy);
int
posix_spawnattr_getsigdefault(const posix_spawnattr_t *restrict attr, sigset_t *restrict sigdefault);
int
posix_spawnattr_getsigmask(const posix_spawnattr_t *restrict attr, sigset_t *restrict sigmask);
int
posix_spawnattr_setpgroup(posix_spawnattr_t *attr, pid_t pgroup);
int
posix_spawnattr_setschedparam(posix_spawnattr_t *attr, const struct sched_param *restrict schedparam);
int
posix_spawnattr_setschedpolicy(posix_spawnattr_t *attr, int schedpolicy);
int
posix_spawnattr_setsigdefault(posix_spawnattr_t *attr, const sigset_t *restrict sigdefault);
int
posix_spawnattr_setsigmask(posix_spawnattr_t *attr, const sigset_t *restrict sigmask);

DESCRIPTION
The posix_spawnattr_get*() functions obtain the value of the corresponding attribute from the attributes object referenced by attr.

The posix_spawnattr_set*() functions set the value of the corresponding attribute in the attributes object referenced by attr.

See posix_spawnattr_getflags(3) for attribute details.

RETURN VALUES
Those functions return 0.

SEE ALSO
posix_spawn(3), posix_spawnattr_init(3), sigsetops(3)

STANDARDS
These functions conform to p1003.1-2001.

AUTHORS
Ed Schouten <ed@FreeBSD.org>